Administration

Identity, roles, invitations, permissions, and organization administration endpoints.

DELETE/api/admin/ai/routes/{workload}

Path Parameters

workload*string

Value in

  • "ASSISTANT_CHAT"
  • "PROMPT_EXECUTION"
  • "KEYWORD_PLANNING"
  • "GRAPH_EXTRACTION"
  • "QUERY_EMBEDDING"
  • "DOCUMENT_EMBEDDING"

Response Body

curl -X DELETE "https://example.com/api/admin/ai/routes/ASSISTANT_CHAT"
Empty
PUT/api/admin/ai/routes/{workload}

Path Parameters

workload*string

Value in

  • "ASSISTANT_CHAT"
  • "PROMPT_EXECUTION"
  • "KEYWORD_PLANNING"
  • "GRAPH_EXTRACTION"
  • "QUERY_EMBEDDING"
  • "DOCUMENT_EMBEDDING"

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

*/*

curl -X PUT "https://example.com/api/admin/ai/routes/ASSISTANT_CHAT" \  -H "Content-Type: application/json" \  -d '{}'
{  "workload": "ASSISTANT_CHAT",  "gatewayKey": "string",  "gatewayProfileId": "f06cd0be-874c-4219-9121-dfbe44e1179a",  "modelId": "string",  "source": "string",  "editable": true,  "version": 0}
DELETE/api/admin/ai/gateways/{profileId}

Path Parameters

profileId*string
Formatuuid

Response Body

curl -X DELETE "https://example.com/api/admin/ai/gateways/497f6eca-6276-4993-bfeb-53cbbbba6f08"
Empty
PUT/api/admin/ai/gateways/{profileId}

Path Parameters

profileId*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

*/*

curl -X PUT "https://example.com/api/admin/ai/gateways/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "gatewayKey": "string",  "displayName": "string",  "preset": "OPENAI",  "category": "DIRECT_PROVIDER",  "protocol": "OPENAI_COMPATIBLE",  "baseUrl": "string",  "requestTimeoutSeconds": 0,  "enabled": true,  "version": 0,  "credentialSet": true,  "credentialSetByUserId": "f3dfa348-e45a-431d-85d5-e0140ba2b395",  "credentialSetAt": "2019-08-24T14:15:22Z"}
PUT/api/admin/ai/gateways/{profileId}/credential

Path Parameters

profileId*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X PUT "https://example.com/api/admin/ai/gateways/497f6eca-6276-4993-bfeb-53cbbbba6f08/credential" \  -H "Content-Type: application/json" \  -d '{}'
Empty
POST/api/admin/roles/{role}/members

Path Parameters

role*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST "https://example.com/api/admin/roles/string/members" \  -H "Content-Type: application/json" \  -d '{}'
Empty
curl -X GET "https://example.com/api/admin/knowledge-spaces"
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "key": "string",    "name": "string",    "departmentId": "a3452d1e-b055-4677-aa66-858ddc0a1f59",    "active": true,    "grants": [      {        "relation": "string",        "subject": "string"      }    ],    "grantsComplete": true,    "policyVersion": "string"  }]
POST/api/admin/knowledge-spaces

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

*/*

curl -X POST "https://example.com/api/admin/knowledge-spaces" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "key": "string",  "name": "string",  "departmentId": "a3452d1e-b055-4677-aa66-858ddc0a1f59",  "active": true,  "grants": [    {      "relation": "string",      "subject": "string"    }  ],  "grantsComplete": true,  "policyVersion": "string"}
POST/api/admin/knowledge-spaces/{knowledgeSpaceId}/grants

Path Parameters

knowledgeSpaceId*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST "https://example.com/api/admin/knowledge-spaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/grants" \  -H "Content-Type: application/json" \  -d '{}'
Empty
DELETE/api/admin/knowledge-spaces/{knowledgeSpaceId}/grants

Path Parameters

knowledgeSpaceId*string
Formatuuid

Query Parameters

relation*string
kind*string

Value in

  • "ORGANIZATION"
  • "DEPARTMENT"
  • "DEPARTMENT_MANAGERS"
  • "ROLE"
  • "USER"
subjectId?string
Formatuuid
role?string

Response Body

curl -X DELETE "https://example.com/api/admin/knowledge-spaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/grants?relation=string&kind=ORGANIZATION"
Empty
curl -X GET "https://example.com/api/admin/invitations"
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "email": "string",    "role": "EMPLOYEE",    "departmentId": "a3452d1e-b055-4677-aa66-858ddc0a1f59",    "status": "string",    "invitedAt": "2019-08-24T14:15:22Z",    "acceptedAt": "2019-08-24T14:15:22Z",    "acceptedAppUserId": "3c7653f8-bfce-4105-b20c-256d5fef91a3"  }]
POST/api/admin/invitations

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

*/*

curl -X POST "https://example.com/api/admin/invitations" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "email": "string",  "role": "EMPLOYEE",  "departmentId": "a3452d1e-b055-4677-aa66-858ddc0a1f59",  "status": "string",  "invitedAt": "2019-08-24T14:15:22Z",  "acceptedAt": "2019-08-24T14:15:22Z",  "acceptedAppUserId": "3c7653f8-bfce-4105-b20c-256d5fef91a3"}
curl -X GET "https://example.com/api/admin/ai/gateways"
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "gatewayKey": "string",    "displayName": "string",    "preset": "OPENAI",    "category": "DIRECT_PROVIDER",    "protocol": "OPENAI_COMPATIBLE",    "baseUrl": "string",    "requestTimeoutSeconds": 0,    "enabled": true,    "version": 0,    "credentialSet": true,    "credentialSetByUserId": "f3dfa348-e45a-431d-85d5-e0140ba2b395",    "credentialSetAt": "2019-08-24T14:15:22Z"  }]
POST/api/admin/ai/gateways

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

*/*

curl -X POST "https://example.com/api/admin/ai/gateways" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "gatewayKey": "string",  "displayName": "string",  "preset": "OPENAI",  "category": "DIRECT_PROVIDER",  "protocol": "OPENAI_COMPATIBLE",  "baseUrl": "string",  "requestTimeoutSeconds": 0,  "enabled": true,  "version": 0,  "credentialSet": true,  "credentialSetByUserId": "f3dfa348-e45a-431d-85d5-e0140ba2b395",  "credentialSetAt": "2019-08-24T14:15:22Z"}
POST/api/admin/ai/gateways/{profileId}/test

Path Parameters

profileId*string
Formatuuid

Response Body

*/*

curl -X POST "https://example.com/api/admin/ai/gateways/497f6eca-6276-4993-bfeb-53cbbbba6f08/test"
{  "authenticated": true,  "models": [    {      "id": "string",      "displayName": "string"    }  ],  "errorCode": "string"}
POST/api/admin/ai/gateways/test

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

*/*

curl -X POST "https://example.com/api/admin/ai/gateways/test" \  -H "Content-Type: application/json" \  -d '{}'
{  "authenticated": true,  "models": [    {      "id": "string",      "displayName": "string"    }  ],  "errorCode": "string"}
POST/api/admin/access/explain

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

*/*

curl -X POST "https://example.com/api/admin/access/explain" \  -H "Content-Type: application/json" \  -d '{}'
{  "state": "ALLOWED",  "reasonCode": "string",  "path": [    {      "object": "string",      "relation": "string",      "kind": "string"    }  ],  "blockedBy": [    {      "branch": "string",      "kind": "string",      "detail": "string"    }  ],  "provenance": {    "authority": "string",    "origin": "string",    "generation": 0,    "capturedAt": "2019-08-24T14:15:22Z",    "expired": true  },  "policyVersion": "string",  "evaluatedAt": "2019-08-24T14:15:22Z"}
PATCH/api/admin/users/{userId}

Path Parameters

userId*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

*/*

curl -X PATCH "https://example.com/api/admin/users/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "email": "string",  "role": "EMPLOYEE",  "departmentId": "a3452d1e-b055-4677-aa66-858ddc0a1f59",  "active": true,  "signInLinked": true,  "mappedPrincipalCount": 0}
curl -X GET "https://example.com/api/admin/users"
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "email": "string",    "role": "EMPLOYEE",    "departmentId": "a3452d1e-b055-4677-aa66-858ddc0a1f59",    "active": true,    "signInLinked": true,    "mappedPrincipalCount": 0  }]
curl -X GET "https://example.com/api/admin/users/497f6eca-6276-4993-bfeb-53cbbbba6f08/permissions"
{  "userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b",  "permissions": {    "property1": "ALLOWED",    "property2": "ALLOWED"  },  "evaluatedAt": "2019-08-24T14:15:22Z"}
curl -X GET "https://example.com/api/admin/roles"
{  "roles": [    {      "role": "string",      "assignees": [        "string"      ]    }  ],  "complete": true,  "policyVersion": "string"}
GET/api/admin/knowledge-spaces/grant-options

Response Body

*/*

curl -X GET "https://example.com/api/admin/knowledge-spaces/grant-options"
[  {    "relation": "string",    "kinds": [      "ORGANIZATION"    ]  }]
curl -X GET "https://example.com/api/admin/ai/routes"
[  {    "workload": "ASSISTANT_CHAT",    "gatewayKey": "string",    "gatewayProfileId": "f06cd0be-874c-4219-9121-dfbe44e1179a",    "modelId": "string",    "source": "string",    "editable": true,    "version": 0  }]
curl -X GET "https://example.com/api/admin/ai/providers"
[  {    "preset": "OPENAI",    "displayName": "string",    "vendorName": "string",    "category": "DIRECT_PROVIDER",    "protocol": "OPENAI_COMPATIBLE",    "defaultBaseUrl": "string",    "baseUrlEditable": true  }]
curl -X GET "https://example.com/api/admin/ai/index-settings"
{  "embeddingProvider": "string",  "embeddingModel": "string",  "dimensions": 0,  "distanceMetric": "string",  "managementMode": "string",  "editable": true,  "lifecycleNote": "string"}
DELETE/api/admin/roles/{role}/members/{userId}

Path Parameters

role*string
userId*string
Formatuuid

Response Body

curl -X DELETE "https://example.com/api/admin/roles/string/members/497f6eca-6276-4993-bfeb-53cbbbba6f08"
Empty
DELETE/api/admin/invitations/{invitationId}

Path Parameters

invitationId*string
Formatuuid

Response Body

curl -X DELETE "https://example.com/api/admin/invitations/497f6eca-6276-4993-bfeb-53cbbbba6f08"
Empty

Last updated on